Forum Post
Index > Scribe > vanishing attachments

Author/Date vanishing attachments
DanH
02/09/2004 10:15am
I have recently started getting a strange bug with attachments in I.Scribe (free version). I've upgraded to the latest (1.87 test 20) but I'm still getting the same problem.

The problem is that sometimes when a mail with an attachment arrives, the full length of the mail is shown being received in the progress window (say 400k for a typical attachment I get) but then the mail is displayed in Scribe with no attachment and a size shown of the order of 1k. In some cases the attachment is shown, but with a blank file name. It seems to happen consistently with certain senders, but other senders will work fine every time. But I can't find anything consistant about the senders whose attachments vanish - it's not a specific sending mail client as it happens to mails sent from different mail clients.

If I set Scribe to leave mail on the server and then use the 'preview mail on server' option, the mail is shown on the server with its full length and attachment. Checking the download option in this window and then hitting ok results in the mail being redownloaded and then it arrives fine, attachment intact.

I'm wondering if it's perhaps an issue with the ordering of some headers, which changes when the mail is marked as 'read' on the server. :/
Bardo
02/09/2004 5:27pm
I noticed it too and sent a message to the maker. He is not amused, I can tell you that :-)
fReT
02/09/2004 10:50pm
Well this is new, as Bardo said he has told me about it. I'm going to look at this over the weekend. It's a serious bug.

If your interested in helping with fixing it I would like to get an "image" of an email that causes the bug. To do this what you can do is setup a log file in the debug options tab (bytes only) and using the POP viewer download just the message that Scribe loses the attachment on. And maybe one it gets the filename wrong as well if you have that around. Then send me the log file (zipped?) and I can turn that into an .EML file which I can export into Scribe and test the MIME decoder.

I will eventually find a message myself, but it might save me a fair bit of time if someone already has a message that exposes the bug in Scribe.

PS I treat all test data with strict confidence.

Thanks
fReT
02/09/2004 10:51pm
FYI this bug is blocking the release of Test21...
Justin Heiner
03/09/2004 2:47pm
I do know that if my virus scanner finds a virus in the file, many times it will show up as an empty message with no subject, no matter how big it was while it was downloading.
DanH
06/09/2004 11:06am
Sorry for the delay replying, I was away this weekend. I'd be happy to help debug this, but it may prove a little tricky as the emails concerned contain commercially sensitive data and so I can't just forward you them. I'll see if I can trigger the bug with a suitable test email and then work with that.

Unfortunately it seems that re-downloading the mail from the 'preview mail on server' option isn't always successful either - it's worked on a couple of mails but others still have their attachment disappear. :(
Robert Bleeker
09/09/2004 12:35am
Not sure if this is the same issue in iScribe.

I had lots of missing attachments with Outlook over the years, only when people sent them from a Macintosh. Eventhough they didnt seem appear visually, I could retrieve them by using the "Save all attachments" menu item.

Do the emails still show a right-click 'Save attachment as' menu item?
fret
09/09/2004 12:46am
Just to let you know where I'm up to with this. Currently the attachment name thing is fixed. But I believe it's a separate issue to the missing attachments thing.

I havn't been able to reproduce the bug at all. So I'm thinking it might be the virus checker. If you have a virus checker installed then I suggest trying to download the email with it switched off.

Scribe writes the raw message to the temp directory before loading it into the mail folders (saves on memory footprint), so the virus checker could rip the attachment out at that point. Possible but unlikely.

Now the preview account feature has a bug in the current version whereby if you sort the list of items the actions applied to the account are out of order. So as long as you don't sort the preview items your all fine. I've just fixed this for the next build but I thought I'd warn you.

If you want to extract just the email that breaks Scribe by using the Pop Viewer then you delete the log file if it already exists. Then setup a bytes only log file in the debug options. Open the pop viewer, download the message that has the missing attachment (don't sort the list) and then turn off the log file in the options. Then the log file will only have that one message and a bit of POP gunk which I can easily strip out. Then just post that log file to me and I'll import the message into Scribe and see how it decodes it.

I'd really like to get this sorted out.

Thanks for all the help.
Justin Heiner
17/09/2004 7:52am
With Trend-Micro anti-virus as well as Symantec anti-virus, it strips the e-mail out when there is a virus. However, it also usually pops up a dialog box saying that it found a virus.

The E-mail that comes in after a virus scanner has had its hands on it is pretty much empty though, so I don't think it's the virus scanner that's causing this problem.
DanH
17/09/2004 6:57pm
I don't think it's a virus checker issue for me. I'll try to set up some test accounts this weekend and see if I can reproduce it under controlled conditions.
tozz
18/09/2004 6:42pm
Stop using those crappy virus scanners. NOD32 is the way to go, changes the e-mail subject line to something you want if it finds a virus and then you can filter it out. Does this before the client gets the mail (think it does it like a proxy) so no interference with any client. Also it's the AV software with the smallest system footprint I've seen, still it has never failed a test. Not really Scribe related but a tips for those who gets virus by mail.
DanH
25/10/2004 12:39pm
Well, for the record, this doesn't seem to be a problem specific to I.Scribe - it's also happening with other mail clients. It seems to be an issue with 1&1's pop server, which simply stops responding after the end of certain mails. The results of this vary depending on the mail client - I.Scribe seems to save the mail but not the attachment, others just hang indefinitely until they time out.
Reply